/*
 * Game.h
 *
 *  Created on: Mar 1, 2012
 *      Author: Mateusz
 */

#ifndef GAME_H_
#define GAME_H_

#include "GlobalDefine.h"
#include "Graphisc.h"

///
/// Global Structures
///

typedef struct
{
	uint8 x;// punkt na osi x lewego grnego rogu
	uint8 y;//punkt na osi y lewego grnego rogu
	uint8 xSize;//szerokosc
	uint8 ySize;//wysokosc
	uint8 avaible;//widocznoc
}block;

typedef struct
{
	uint8 x;// punkt na osi x lewego grnego rogu
	uint8 y;//punkt na osi y lewego grnego rogu
	int8 speedX;//prdkosc w osi x
	int8 speedY;//predkosc w osi y
}point;

///
/// Global Function
///
uint8 colision();// wykrywanie kolicji
void Iteration();// kolejna iteracja(klatka) gry
void reDraw();// odmalowanie planszy
void platformMove(short int direction);//zmiana pooenia platformy
void InitializeScreen();//inicjalizacja ekranu
void addPoint();// dodanie punktw niewykorzystane
void InitializeGame();// inicjalizacja gry
void StartNewPlay();//rozpoczcie nowej gry
void playStart();// start gry
void restart();// restart gry po wypadniciu poza plansz
void reDrawBall(int8 speedX,int8 speedY);// odmalowanie piki
///
/// Global Variable
///

block Targets[21];// klocki celu
block platform;//platforma gracza
point ball;//pika
int score;// licznik punktw niewykorzystany
uint8 lives;// licznik y nie wykorzystany



#endif /* GAME_H_ */
