/*
 * Graphisc.h
 *
 *  Created on: Mar 1, 2012
 *      Author: Mateusz
 */

#ifndef GRAPHISC_H_
#define GRAPHISC_H_
#include "GlobalDefine.h"


#define DISON 0x29
#define DISOFF 0x28
#define VOLCTR 0x81
#define PWRCTR 0x20
#define SLPOUT 0x11
#define OSCON 0xD1
#define COMSCN 0xBB
#define DISCTL 0xCA
#define RAMWR 0x2C
#define CASET 0x2A
#define PASET 0x2B
#define DATCTL 0xBC
#define COLMOD 0x3A
#define MADCTL 0x36
#define SETCON 0x25
///
//Global functions
//
void lcdInit();//inicjalizacja wywietlacza
void LCDContrastSet(char a);//ustawienie kontrastu
void drawBox(uint8 x, uint8 y,uint8 sizex,uint8 sizey,uint8 color);//rysowanie prostokta (wsprzdne x,y, szerokoc, wysokosc,kolor)
void drawBall(uint8 x, uint8 y,uint8 color , uint8 background);//wyrysowanie piki parametry (wsprzdne x , y, kolor piki , kolor ta)
void LCDClear(char color);// wyczyszczenie ekranu  do zadanego koloru

#endif /* GRAPHISC_H_ */
